View Issue Details

IDProjectCategoryView StatusLast Update
0005149Talerbank (demonstrator)public2018-04-15 20:33
ReporterFlorian DoldAssigned ToMarcello Stanisci 
PrioritynormalSeveritytweakReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.3 
Target Version0.5Fixed in Version0.5 
Summary0005149: make sure that bank balance is checked by automatic test cases
DescriptionNow that we have an API to get the balance from the bank, it should be easier to do this.

We might actually already do this to some degree, but please make sure it properly deals with negative amounts!
TagsNo tags attached.

Activities

Marcello Stanisci

2017-10-16 11:34

manager   ~0012485

If you mean the /history API, then they don't give the balance back (at least for the moment);
they just return a list of transactions involving your account.

Marcello Stanisci

2018-01-12 14:52

manager   ~0012778

You are saying that the this test case should do a few random wire transfers
(to and from the bank), and at the end it queries /history, reconstruct
what happened until now and see if the bank's balance matches the reconstruction.
Did you mean that?

Marcello Stanisci

2018-01-12 16:19

manager   ~0012781

acdef0d fixes this. Feel free to reopen if you meant something different.

Issue History

Date Modified Username Field Change
2017-10-16 09:27 Florian Dold New Issue
2017-10-16 09:27 Florian Dold Status new => assigned
2017-10-16 09:27 Florian Dold Assigned To => Marcello Stanisci
2017-10-16 09:28 Florian Dold Product Version => 0.3
2017-10-16 09:28 Florian Dold Target Version => 0.5
2017-10-16 11:34 Marcello Stanisci Note Added: 0012485
2017-10-24 15:44 Christian Grothoff Target Version 0.5 => 0.9
2017-11-04 18:34 Christian Grothoff Severity minor => tweak
2018-01-12 14:52 Marcello Stanisci Note Added: 0012778
2018-01-12 16:19 Marcello Stanisci Status assigned => resolved
2018-01-12 16:19 Marcello Stanisci Resolution open => fixed
2018-01-12 16:19 Marcello Stanisci Note Added: 0012781
2018-01-12 19:31 Christian Grothoff Fixed in Version => 0.5
2018-01-12 19:31 Christian Grothoff Target Version 0.9 => 0.5
2018-04-15 20:33 Christian Grothoff Status resolved => closed